Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 389491 - media-sound/timidity++ - timidity crashes when connected to rosegarden
Summary: media-sound/timidity++ - timidity crashes when connected to rosegarden
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-04 14:15 UTC by Rudolf Polzer
Modified: 2018-01-02 15:54 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rudolf Polzer 2011-11-04 14:15:17 UTC
Sequence to crash timidity++-2.13.2-r13 connected to rosegarden-11.02:

$ timidity -iA &
$ rosegarden
Shortly after opening a midi file within rosegarden, timidity crashes with a segfault.


Working sequence:

$ rosegarden &
Open a midi file within rosegarden.
$ timidity -iA
Within rosegarden, connect manually the midi output of rosegarden to the timidity input.

But opening the next file within rosegarden crashes timidity again...


I already looked for a timidity bugtracker, but this bug tracker has no public access.
Comment 1 Jeroen Roovers gentoo-dev 2011-11-05 15:53:17 UTC
Please post your `emerge --info media-sound/timidity++' output too.
Comment 2 Rudolf Polzer 2011-11-06 18:43:25 UTC
emerge --info media-sound/timidity++

Portage 2.1.10.11 (default/linux/amd64/10.0/desktop/kde, gcc-4.4.5, glibc-2.12.2-r0, 3.0.6-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.0.6-gentoo-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_5000+-with-gentoo-2.0.3
Timestamp of tree: Mon, 31 Oct 2011 08:15:01 +0000
app-shells/bash:          4.1_p9
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.6.5-r3, 2.7.2-r3, 3.1.4-r3
dev-util/cmake:           2.8.4-r1
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.4
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.4.5, 4.5.3-r1
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.39 (virtual/os-headers)
sys-libs/glibc:           2.12.2
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"                                                                     
CXXFLAGS="-O2 -pipe"                                                                   
DISTDIR="/usr/portage/distfiles"                                                       
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"                                                            
FFLAGS=""                                                                              
GENTOO_MIRRORS="ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ "           
LANG="de_DE.utf8"                                                                      
LDFLAGS="-Wl,-O1 -Wl,--as-needed"                                                      
LINGUAS="de en"                                                                        
MAKEOPTS="-j3"                                                                         
PKGDIR="/usr/portage/packages"                                                         
PORTAGE_CONFIGROOT="/"                                                                 
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"                                                                       
PORTAGE_TMPDIR="/var/tmp"                                                              
PORTDIR="/usr/portage"                                                                 
PORTDIR_OVERLAY=""                                                                     
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"                                  
USE="X a52 aac accessibility acl acpi alsa amd64 arts berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus declarative dri dts dvd dvdr dvdread embedded emboss encode exif extras fam faxonly firefox flac fontconfig fortran ftp gd gdbm gdu gif gimp gnutls gphoto2 gpm gtk html iconv icq idn imap ipv6 jack java javascript jbig jikes jpeg kde kipi kmid lame lcms ldap libnotify loop-aes mad maildir mikmod mime mmx mng modules mp3 mp4 mpeg mudflap multilib mysql ncurses nls nptl nptlonly nsplugin nvidia ogg opengl openmp pam pango pcre pdf perl phonon php plasma png policykit ppds pppd private-headers pulseaudio python qt3 qt3support qt4 raw rdesktop readline samba scanner sdl semantic-desktop session sndfile sockets spell sql sqlite sse sse2 ssl startup-notification svg symlink sysfs tcpd tiff truetype tse3 udev unicode usb utempter vcd vnc vorbis webkit wmf x264 xcb xcomposite xinerama xml xorg xscreensaver xulrunner xulrunners xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

media-sound/timidity++-2.13.2-r13 was built with the following:
USE="X alsa (consolekit) flac gtk jack (multilib) ncurses (policykit) vorbis -ao -emacs -motif -nas -oss -slang -speex -tk"
Comment 3 Andreas Sturmlechner gentoo-dev 2017-12-21 09:33:06 UTC
Please test with latest stable rosegarden-17.04.
Comment 4 Rudolf Polzer 2018-01-02 15:54:03 UTC
I changed the status to resolved